package org.scribe.examples;

import java.util.ArrayList;
import java.util.Date;
import java.util.List;

import org.apache.http.NameValuePair;
import org.apache.http.client.HttpClient;
import org.apache.http.client.methods.HttpPost;
import org.apache.http.impl.client.DefaultHttpClient;
import org.apache.http.message.BasicNameValuePair;

import com.cosysoft.cs.oauth.Config;

public class Test {

	/**
	 * @param args
	 */
	public static void main(String[] args) {
		HttpClient client = new DefaultHttpClient();
		HttpPost httpPost = new HttpPost(Config.getToken);
		try {

			List<NameValuePair> params = new ArrayList<>();
			params.add(new BasicNameValuePair("account", Config.uname));
			params.add(new BasicNameValuePair("password", Config.psd));
			params.add(new BasicNameValuePair("appkey", Config.apiKey));
			params.add(new BasicNameValuePair("time", String.valueOf(new Date()
					.getTime())));
			//
		} finally {
			client.getConnectionManager().shutdown();
		}
	}

	// account: 帐号
	// password: 密码
	// appkey: 您的appkey
	// time: 当前的时间戳, time((time_t*)NULL)
	// signature: 动态签名,
	// hmac_sha256("account=相应的值&appkey=相应的值&password=相应的值&time=相应的值",
	// app_secret)
	// PHP实例: $signature = hash_hmac('sha256',
	// "account={$account}&appkey={$appkey}&password={$password}&time={$time}",
	// $app_secret, false);

}
